summaryrefslogtreecommitdiffstats
path: root/libraries/perl-File-Slurp
diff options
context:
space:
mode:
author David Somero2010-05-12 23:30:56 +0200
committer Robby Workman2010-05-12 23:30:56 +0200
commit03e381d55470e9bc97bedd625f6310f2edb42e0e (patch)
tree9ea2e9d6d4459d07ba705dae0fb023ab3dbbe657 /libraries/perl-File-Slurp
parent3c94a9a386c83c761e9c263d1a8d13d27e0a8efb (diff)
downloadslackbuilds-03e381d55470e9bc97bedd625f6310f2edb42e0e.tar.gz
libraries/perl-File-Slurp: Added to 12.2 repository
Diffstat (limited to 'libraries/perl-File-Slurp')
-rw-r--r--libraries/perl-File-Slurp/README3
-rw-r--r--libraries/perl-File-Slurp/perl-File-Slurp.SlackBuild75
-rw-r--r--libraries/perl-File-Slurp/perl-File-Slurp.info8
-rw-r--r--libraries/perl-File-Slurp/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/libraries/perl-File-Slurp/README b/libraries/perl-File-Slurp/README
new file mode 100644
index 0000000000..738ef85e93
--- /dev/null
+++ b/libraries/perl-File-Slurp/README
@@ -0,0 +1,3 @@
+This perl module provides subs that allow you to read or write entire
+files with one simple call. They are designed to be simple to use, have
+flexible ways to pass in or get the file contents and to be very efficient.
diff --git a/libraries/perl-File-Slurp/perl-File-Slurp.SlackBuild b/libraries/perl-File-Slurp/perl-File-Slurp.SlackBuild
new file mode 100644
index 0000000000..62bd71240e
--- /dev/null
+++ b/libraries/perl-File-Slurp/perl-File-Slurp.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for perl-File-Slurp
+
+# Copyright 2008 David Somero <dsomero@hotmail.com> Athens,TN USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-File-Slurp
+SRCNAM=File-Slurp
+VERSION=9999.13
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="README Changes"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar -xzvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+perl Makefile.PL
+make
+make install INSTALLDIRS=vendor INSTALLVENDORMAN3DIR=/usr/man/man3 DESTDIR=$PKG
+gzip -9 $PKG/usr/man/man3/* 2> /dev/null
+
+# Remove perlocal.pod and .packlist and .bs files from $PKG
+( for i in perllocal.pod .packlist .bs; do
+ find $PKG -name "$i" -exec rm -rf {} \;
+ done
+)
+# Remove empty directory hierarchy
+rmdir --parents \
+ $PKG/usr/lib/perl5/vendor_perl/5.10.0/i486-linux-thread-multi/auto/File/Slurp/ \
+ $PKG/usr/lib/perl5/5.10.0/i486-linux-thread-multi \
+ 2>/dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/perl-File-Slurp/perl-File-Slurp.info b/libraries/perl-File-Slurp/perl-File-Slurp.info
new file mode 100644
index 0000000000..9464599030
--- /dev/null
+++ b/libraries/perl-File-Slurp/perl-File-Slurp.info
@@ -0,0 +1,8 @@
+PRGNAM="perl-File-Slurp"
+VERSION="9999.13"
+HOMEPAGE="http://search.cpan.org/dist/File-Slurp"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/File-Slurp-9999.13.tar.gz"
+MD5SUM="ac3cd9d466b99d1534762ff3549aaa66"
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="rworkman"
diff --git a/libraries/perl-File-Slurp/slack-desc b/libraries/perl-File-Slurp/slack-desc
new file mode 100644
index 0000000000..33e589210c
--- /dev/null
+++ b/libraries/perl-File-Slurp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------|
+perl-File-Slurp: perl-File-Slurp (File::Slurp perl module)
+perl-File-Slurp:
+perl-File-Slurp: This module provides subs that allow you to read or
+perl-File-Slurp: write entire files with one simple call. They are
+perl-File-Slurp: designed to be simple to use, have flexible ways to
+perl-File-Slurp: pass in or get the file contents, and to be very
+perl-File-Slurp: efficient.
+perl-File-Slurp:
+perl-File-Slurp: Homepage: http://search.cpan.org/dist/File-Slurp
+perl-File-Slurp:
+perl-File-Slurp: